Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class V2Form

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.V2Form

All Implemented Interfaces:
  DEREncodable

public class V2Form
extends java.lang.Object
implements DEREncodable

Constructor Summary
`V2Form()`

Method Summary
`IssuerSerial` | `getBaseCertificateID()`
`DERObject` | `getDERObject()` V2Form ::= SEQUENCE { issuerName GeneralNames OPTIONAL, baseCertificateID [0] IssuerSerial OPTIONAL, objectDigestInfo [1] ObjectDigestInfo OPTIONAL -- issuerName MUST be present in this profile -- baseCertificateID and objectDigestInfo MUST NOT -- be present in this profile }
`GeneralNames` | `getIssuerName()`
`ObjectDigestInfo` | `getObjectDigestInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### V2Form

    public V2Form()

Method Detail

### getIssuerName

    public GeneralNames getIssuerName()

### getBaseCertificateID

    public IssuerSerial getBaseCertificateID()

### getObjectDigestInfo

    public ObjectDigestInfo getObjectDigestInfo()

### getDERObject

    public DERObject getDERObject()

        V2Form ::= SEQUENCE {
             issuerName            GeneralNames  OPTIONAL,
             baseCertificateID     [0] IssuerSerial  OPTIONAL,
             objectDigestInfo      [1] ObjectDigestInfo  OPTIONAL
               -- issuerName MUST be present in this profile
               -- baseCertificateID and objectDigestInfo MUST NOT
               -- be present in this profile
        }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD